#!/usr/bin/python2
# -*- coding: utf-8 -*-

# Import modules for CGI handling
import os
import io
import json

rht_file = '/etc/rht'


def parseLocalData():
    file_exists = os.path.exists(rht_file)
    course = 'RHT_COURSE='
    modality = 'RHT_VENUE='

    data = {
        'course': {
            'code': None
        },
        'modality': None
    }

    if not file_exists:
        return data

    with io.open(rht_file, 'r', encoding='utf-8', newline=None) as f:
        for line in f:
            if line.find(course) != -1:
                data['course']['code'] = line.partition(course)[2].strip()
            if line.find(modality) != -1:
                data['modality'] = line.partition(modality)[2].strip()

    return data


def respond():
    status = "Status: 200 OK"

    print "Access-Control-Allow-Origin: *"
    print "Content-type: application/json"
    print status
    print
    response = parseLocalData()
    print(json.JSONEncoder().encode(response))


respond()
